package com.govmade.modules.system.service;

import java.util.List;
import java.util.Map;
import java.util.Set;

import com.baomidou.mybatisplus.service.IService;
import com.govmade.common.utils.PageUtils;
import com.govmade.modules.system.entity.AreaEntity;

/**
 * 系统管理 - 行政区划设置
 * 
 * @author 刘弈臻
 * @date 2018年8月9日
 */
public interface AreaService extends IService<AreaEntity>{
	
	/**
	 * 查询所有数据树结构
	 */
	/*List<AreaEntity> queryAll();*/
	
	/**
	 * 查看列表
	 */
	PageUtils queryPage(Map<String, Object> params);
	
	/**
	 * 保存或修改行政区划
	 */
	void save(AreaEntity area);
	
	/**
	 * 删除行政区划
	 */
	void deleteBatch(Set<Long> ids);
	

    /**
	 * 行政区划查重
	 */
	Integer checkArea(String name);


}
